libname dur "C:\Users\EDUGUET\FacOuvrages\OuvrageDuree\data";

/* VERSION OUVRAGE */


- ajouter le hasard de base.
- les prvisions des survies (ou autres) pour chaque individu.
- la distribution des F.R. aprs 3 ans (avec une proc univariate)

/* estimation des paramtres de la loi de Weibull */

options linesize=64;

data duree; set dur.base_duree;
presence=1-censure;
c_nais1=(anaisenq<=1948);
c_nais2=(1948<anaisenq<=1958);
c_nais3=(1958<anaisenq<=1968);
c_nais4=(1968<anaisenq<=1978);
c_nais5=(1978<anaisenq<=1988);
parents=(fpermer=1);
run;

/* paramtres du programme */
%let tab=duree; /* nom du tableau SAS contenant les donnes */
%let y=duree_emp; /* variable de dure */
%let x=/*dip_pri*/ dip_sec dip_sup /*gen_h*/  gen_f/*france d_metr d_petr*/ /*c_nais2 c_nais3 c_nais4*/
c_nais2 c_nais3 c_nais4 c_nais5;
%let d=presence; /* indicatrice de dure complte */
%let outp=_outp;
%let outi=_outi;
%let e=1e-6;
%let maxiter=300;
%let maxc=10;
/* centrage des variables */
proc means; var &y &x; run;
proc standard data=&tab out=_tab mean=0; var &x; run;
data _tab; set _tab; nais2=anaisenq**2;

proc lifereg data=_tab;
model &y*&d(0)=&x;
run;


proc lifereg data=_tab;
model &y*&d(0)=&x/dist=exponential;
run;

/* faire un module iml pour les sorties */
